#ifndef __DEBUG_H__
#define __DEBUG_H__

#ifdef DEBUG
/* FIXME: include program name */
#define debug(fmt, ...)	({                                                    \
   fprintf(stderr, "%s().%d: " fmt "\n", __func__, __LINE__, ## __VA_ARGS__); \
   fflush(stderr);                                                            \
})
extern void debug_init(const char *);
extern void debug_log_data(char *msg, int fd, uint8_t *buf, int buf_len);
#else
#define debug(fmt, ...)	do {} while(0)
#define debug_init(x)	do {} while(0)
#define debug_log_data(...) do {} while(0)
#endif

#endif  /* __DEBUG_H__ */
